Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005392OCamlOCaml windowspublic2011-10-31 14:322013-08-31 12:48
ReporterDrakken 
Assigned Toprotz 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.12.1 
Target VersionFixed in Version4.01.0+dev 
Summary0005392: Windows Start menu shortcuts are invisible to limited users.
Description* Log in as a limited user (i.e. a regular user (not administrator), for security purposes)
* Download windows installer
* Find installer in Downloads folder
* Right-click installer, select "Run as..."
* Select an administrator account (for access to C:\Program Files\*)
* Install OCaml

-> OCaml shortcut folder is not visible in the Start menu.

The installer puts shortcuts in the administrator's start menu instead of the start menu for all users. This doesn't make sense for users who use limited accounts to avoid internet security problems.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0006294)
protz (manager)
2011-12-14 20:15

Can you tell me which installer you used?

Thanks,

jonathan
(0006295)
Drakken (reporter)
2011-12-14 23:16

Probably the one that was current on 30 Oct 2011. I deleted the installer, but that's the modification date of my OCaml Start-menu links.
(0007211)
protz (manager)
2012-03-28 14:07

Hi,

The latest version of the installer fixes this issue, as far as I could tell (Windows XP, tested using a limited user, then right-click, run as, administrator).

http://yquem.inria.fr/~protzenk/caml-installer/ocaml-4.01.0+dev0-i686-mingw64.exe [^]

Please let me know if it doesn't work as expected.

Thanks,

jonathan

- Issue History
Date Modified Username Field Change
2011-10-31 14:32 Drakken New Issue
2011-12-14 20:15 protz Note Added: 0006294
2011-12-14 23:16 Drakken Note Added: 0006295
2012-03-14 17:53 xleroy Assigned To => protz
2012-03-14 17:53 xleroy Status new => assigned
2012-03-14 17:53 xleroy Category OCaml general => OCaml windows
2012-03-28 14:07 protz Note Added: 0007211
2012-03-28 14:07 protz Status assigned => resolved
2012-03-28 14:07 protz Fixed in Version => 4.01.0+dev
2012-03-28 14:07 protz Resolution open => fixed
2013-08-31 12:48 xleroy Status resolved => closed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker